<template>
    <div class="w-screen pt-36 bg-tek-black">
        <div class="h-screen flex flex-col bg-02 bg-contain bg-no-repeat">
            <h1 class="font-bold text-left text-tek-title pl-48 md:text-5xl">
                Nos abonnements box !
            </h1>
            <div class="h-full w-full flex pl-28">
                <div v-for="i in 3" :key="`abo-`+ i" class="w-1/3">
                    <!--<CardAbo :abo="abos[i-1]" />-->
                    <CardAbo :abo="offers[i-1]" />
                    <!--<p style="color: white" v-for="i in 3" :key="i">{{ offers[i-1]['label'] }}</p>-->
                </div>
            </div>
        </div>
        <div class="w-screen bg-01 pl-28">
            <div class="pl-10 mb-12">
                <button @click="displayBox = true" type="button"
                    class="mt-8 mx-2 bg-transparent w-auto inline-flex justify-center items-center px-4 py-2 text-md font-medium focus:outline-none"
                    :class="displayBox ? 'text-tek-white bg-tek-main border border-tek-main' : 'text-tek-main border border-tek-main'">
                    Les boxs
                </button>
                <button @click="displayBox = false" type="button"
                    class="mt-8 mx-2 bg-transparent w-auto inline-flex justify-center items-center px-4 py-2 text-md font-medium focus:outline-none"
                    :class="!displayBox ? 'text-tek-white bg-tek-main border border-tek-main' : 'text-tek-main border border-tek-main'">
                    Les composants
                </button>
            </div>
            <div v-if="displayBox" class=" pl-10">
                <ItemCardComponent v-for="(j,u) in boxes" :key="`itemB-`+ u" :item="j" class="my-4" />
            </div>
            <div v-else class="pl-10">
                <ItemCardComponent :isBox="false" v-for="(w,p) in articles" :key="`item-`+ p" class="my-4" />
            </div>
        </div>
    </div>
</template>

<script>
    import Layout from '@/Shared/Layout'
    import ItemCardComponent from '@/Components/shop/ItemCardComponent'
    import CardAbo from '@/Components/Shop/CardAbo.vue'
    export default {
        components: {
            ItemCardComponent,
            CardAbo
        },
        layout: Layout,
        data() {
            return {
                boxes: [],
                articles: [],
                offers: [],
                displayBox: true,
            }
        },
        computed: {
            activeButton() {
                if (this.displayBox) {
                    return 'text-tek-white bg-tek-main border border-tek-main'
                }
                return 'text-tek-main border border-tek-main'
            },
            inactiveButton() {
                if (!this.displayBox) {
                    return 'text-tek-main border border-tek-main'
                }
                return 'text-tek-white bg-tek-main border border-tek-main'
            },
        },
        created() {
            this.boxes = this.$page.props.boxes;
            this.articles = this.$page.props.articles;
            this.offers = this.$page.props.offers;
        }
    }
</script>
